@echo off
pushd %~d0%~p0

setlocal EnableDelayedExpansion

set "_READERNAME=READER"

for /F "usebackq tokens=1" %%a in (`mountvol ^| find ":\"`) do (
   for /F "usebackq tokens=3" %%b in (`fsutil fsinfo drivetype %%a`) do (
      if /I "%%b" EQU "Removable" (
         for /F "usebackq tokens=4" %%c in (`fsutil fsinfo volumeinfo %%a ^| find "Volume Name :" ^| find "%_READERNAME%"`) do (
			set "DRIVE=%%a"

			goto :done_looking
	     )
	  )
   )
)

echo Reader [%_READERNAME%] not connected
goto :failure

:done_looking

set "DRIVE=%DRIVE:~0,1%"
vol %DRIVE%:
if errorlevel 1 goto :failure

set /p "ANSWER=Continue? <Y/N> "

if /I "%ANSWER%" NEQ "Y" goto :failure

rem set /p DRIVE=Enter the letter of the Reader drive?
rem if errorlevel 1 goto :failure

goto :nocopy-epub

if not exist ./tocopy-books goto :nocopy-books

xcopy .\tocopy-books\*.* %DRIVE%:\database\media\books /E /C /R /H /I /K /Y 

:nocopy-books

if not exist ./tocopy-epub goto :nocopy-epub

xcopy .\tocopy-epub\*.* %DRIVE%:\epub /E /C /H /I /K /Y 

:nocopy-epub

rem xcopy ".\PRS-900 Updater.package" %DRIVE%:\ /Y
rem if errorlevel 1 goto :failure

xcopy .\test-flash %DRIVE%:\test /E /C /R /H /I /K /Y
if errorlevel 1 goto :failure

.\ebook_msc.exe PRS600
if errorlevel 1 goto :failure

pause
popd 
goto :eof

:failure
echo Script did not complete
pause
popd 
